{
  "schema_version": "1.4.0",
  "id": "GHSA-mm7x-gxc9-9wx5",
  "modified": "2025-04-11T04:18:44Z",
  "published": "2022-05-17T01:46:41Z",
  "aliases": [
    "CVE-2012-2106"
  ],
  "details": "Integer overflow in the pv_import function in util/pv_import.c in Csound 5.16.6, when converting a file, allows remote attackers to execute arbitrary code via a crafted file, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-2106"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=810802"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/74647"
    },
    {
      "type": "WEB",
      "url": "http://csound.git.sourceforge.net/git/gitweb.cgi?p=csound/csound5.git%3Ba=commitdiff%3Bh=61d1df45ca9a52bab62892a3c3a13c41e6384505#patch3"
    },
    {
      "type": "WEB",
      "url": "http://csound.git.sourceforge.net/git/gitweb.cgi?p=csound/csound5.git%3Ba=commitdiff%3Bh=7d617a9551fb6c552ba16874b71266fcd90f3a6f"
    },
    {
      "type": "WEB",
      "url": "http://csound.git.sourceforge.net/git/gitweb.cgi?p=csound/csound5.git;a=commitdiff;h=61d1df45ca9a52bab62892a3c3a13c41e6384505#patch3"
    },
    {
      "type": "WEB",
      "url": "http://csound.git.sourceforge.net/git/gitweb.cgi?p=csound/csound5.git;a=commitdiff;h=7d617a9551fb6c552ba16874b71266fcd90f3a6f"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2012-04/msg00057.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48148"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/secunia_research/2012-7"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/04/16/1"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/04/16/9"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/81016"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/52875"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2014-02-04T21:55:00Z"
  }
}